<?php
/*
 * @version $Id: hook.php 69 2011-11-08 11:32:28Z remi $
 -------------------------------------------------------------------------
 loadentity - LoadEntity plugin for GLPI
 Copyright (C) 2003-2011 by the loadentity Development Team.

 https://forge.indepnet.net/projects/loadentity
 -------------------------------------------------------------------------

 LICENSE

 This file is part of loadentity.

 loadentity is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 loadentity is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with loadentity. If not, see <http://www.gnu.org/licenses/>.
 --------------------------------------------------------------------------
 */

// ----------------------------------------------------------------------
// Original Author of file: Nelly Lasson
// Purpose of file:
// ----------------------------------------------------------------------

if (!defined("PLUGIN_LOADENTITY_UPLOAD_DIR")) {
   define  ("PLUGIN_LOADENTITY_UPLOAD_DIR", GLPI_PLUGIN_DOC_DIR."/loadentity/");
}

function plugin_loadentity_Install() {
   global $LANG, $DB;

   $migration = new Migration(130);

   $migration->renameTable("glpi_plugin_loadentity_config", "glpi_plugin_loadentity_configs");

   $migration->changeField("glpi_plugin_loadentity_configs", "ID", "id", 'autoincrement');

   if (!TableExists('glpi_plugin_loadentity_configs')) {
      $sql = "CREATE TABLE `glpi_plugin_loadentity_configs` (
                  `id` int(11) NOT NULL auto_increment,
                  `url` varchar(255) NOT NULL,
                  `user` varchar(255),
                  `date_sync` datetime,
              PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8";

      $DB->query($sql) or die($DB->error());
   }

   if (!is_dir(PLUGIN_LOADENTITY_UPLOAD_DIR)) {
      mkdir(PLUGIN_LOADENTITY_UPLOAD_DIR) or die("Cannot create " . PLUGIN_LOADENTITY_UPLOAD_DIR);
   }
   return true;
}


function plugin_loadentity_Uninstall() {
   global $DB;

   $tables = array('glpi_plugin_loadentity_config',
                   'glpi_plugin_loadentity_configs');

   foreach($tables as $table) {
      $Sql = "DROP TABLE IF EXISTS `$table`";
      $DB->query($Sql) or die($DB->error());
   }

   if (is_dir(PLUGIN_LOADENTITY_UPLOAD_DIR)) {
      deleteDir(PLUGIN_LOADENTITY_UPLOAD_DIR);
   }
}
?>