<?php
/*
 * @version $Id: index.php 73 2012-07-09 16:03:30Z remi $
 -------------------------------------------------------------------------
 loadentity - LoadEntity plugin for GLPI
 Copyright (C) 2003-2011 by the loadentity Development Team.

 https://forge.indepnet.net/projects/loadentity
 -------------------------------------------------------------------------

 LICENSE

 This file is part of loadentity.

 loadentity is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 loadentity is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with loadentity. If not, see <http://www.gnu.org/licenses/>.
 --------------------------------------------------------------------------
*/

// Original Author of file: Remi Collet
// Purpose of file:
// ----------------------------------------------------------------------

ini_set("max_execution_time", "0");

define('GLPI_ROOT', '../..');
include (GLPI_ROOT."/inc/includes.php");

Session::checkRight("config", "w");

Html::header($LANG['plugin_loadentity']['setup'][1], $_SERVER['PHP_SELF'], "plugins", "loadentity");

$config = new PluginLoadentityConfig();

if ($config->getFromDB(1)) {
   if (isset($_POST["load"])) {
      if ($config->PreliminaryNegociation($config)) {
         $config->load();
      }
   } else if ($config->showStatus()) {
      echo "<p>&nbsp;</p><table class='tab_cadre' cellpadding='6'>\n";
      echo "<tr class='tab_bg_1'><th>". $LANG['plugin_loadentity']['load'][1]."</th></tr>\n";
      echo "<tr class='tab_bg_4'><td class='center'>". $LANG['plugin_loadentity']['load'][7]."</td>";
      echo "</tr>\n";

      if ($config->isTimeToDump()) {
         echo "<tr class='tab_bg_1'><td class='center'>";
         Html::showMinimalForm($_SERVER["PHP_SELF"], 'load', $LANG['plugin_loadentity']['load'][2],
                               array(), Html::addConfirmationOnAction($LANG['common'][50]));
         echo "</td></tr>\n";
      } else {
         echo "<tr class='tab_bg_1'><td class='center'>".$LANG['plugin_loadentity']['load'][11];
      }
      echo "</table>";
   }
}
Html::footer();
?>
