<?php
/*
 * @version $Id: run.php 69 2011-11-08 11:32:28Z remi $
 -------------------------------------------------------------------------
 loadentity - LoadEntity plugin for GLPI
 Copyright (C) 2003-2011 by the loadentity Development Team.

 https://forge.indepnet.net/projects/loadentity
 -------------------------------------------------------------------------

 LICENSE

 This file is part of loadentity.

 loadentity is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 loadentity is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with loadentity. If not, see <http://www.gnu.org/licenses/>.
 --------------------------------------------------------------------------
 */

// ----------------------------------------------------------------------
// Original Author of file: Remi Collet
// Purpose of file:
// ----------------------------------------------------------------------
if (!isset($_SERVER["argv"][0])) {
   header("HTTP/1.0 403 Forbidden");
   die("403 Forbidden");
}

ini_set("memory_limit","-1");
ini_set("max_execution_time", "0");

chdir(dirname($_SERVER["argv"][0]));
define("GLPI_ROOT", realpath(dirname($_SERVER["argv"][0])."/../../.."));

include(GLPI_ROOT . "/inc/includes.php");

if ($_SERVER["argc"]>1 && $_SERVER["argv"][1]=="--nolog") {
   $log = STDOUT;
} else {
   $logfilename = GLPI_LOG_DIR."/loadentity.log";
   $log         = fopen($logfilename, "wt");
}

//Check if plugin is installed, ie if tables are present
if (!TableExists("glpi_plugin_loadentity_configs")) {
   fwrite ($log, $LANG['plugin_loadentity']['cron'][1] . "\n");
   fclose($log);
   exit(1);
}

$config = new PluginLoadentityConfig();
$loaded = $config->getFromDB(1);

if (!$loaded) {
   fwrite ($log, $LANG['plugin_loadentity']['cron'][2] . "\n");
   fclose($log);
   exit(1);
}

if (!$config->isTimeToDump()) {
   fwrite ($log, $LANG['plugin_loadentity']['cron'][3]);
   fclose($log);
   exit(1);

} else {
   fwrite ($log, "Start on " . date("r") . "\n");
   $config->load($log);
   fwrite ($log, "Ended on " . date("r") . "\n\n");
   fclose($log);
}
?>