<?php
/*
 * @version $Id: setup.php 73 2012-07-09 16:03:30Z remi $
 -------------------------------------------------------------------------
 loadentity - LoadEntity plugin for GLPI
 Copyright (C) 2003-2011 by the loadentity Development Team.

 https://forge.indepnet.net/projects/loadentity
 -------------------------------------------------------------------------

 LICENSE

 This file is part of loadentity.

 loadentity is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 loadentity is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with loadentity. If not, see <http://www.gnu.org/licenses/>.
 --------------------------------------------------------------------------
 */

// Original Author of file: Remi Collet & Nelly Lasson
// Purpose of file:
// ----------------------------------------------------------------------


function plugin_init_loadentity() {
   global $PLUGIN_HOOKS;

   $PLUGIN_HOOKS['csrf_compliant']['loadentity'] = true;

   if (Session::haveRight("config","w")) {
      // Config page
      $PLUGIN_HOOKS['config_page']['loadentity']             = 'front/config.form.php';
      $PLUGIN_HOOKS['submenu_entry']['loadentity']['config'] = 'front/config.form.php';
      $PLUGIN_HOOKS['menu_entry']['loadentity']              = true;
   }
}


function plugin_version_loadentity() {
   global $LANG;

   return array('name'           => $LANG['plugin_loadentity']['setup'][1],
                'version'        => '1.3.1',
                'author'         => 'Remi Collet, Nelly Mahu-Lasson',
                'license'        => 'GPLv2+',
                'homepage'       => 'https://forge.indepnet.net/projects/loadentity',
                'minGlpiVersion' => '0.83.3');
}


function plugin_loadentity_check_prerequisites() {

   if (version_compare(GLPI_VERSION,'0.83.3','lt') || version_compare(GLPI_VERSION,'0.84','ge')) {
      echo "This plugin requires GLPI >= 0.83.3 and GLPI < 0.84";
      return false;
   }
   return true;
}


function plugin_loadentity_check_config(){
   return true;
}
?>